<template>
  <div
    v-if="getContactList.length"
    class="fixed z-10 py-[12px] px-[8px] align-middle rounded-lg social-toggle right-2"
    :class="{ 'right-contact-us-bmd1': themeName === 'modern' }"
  >
    <ul :class="`flex flex-col gap-2`">
      <li
        v-for="(social, index) in getContactList"
        :key="`${social.HtmlId}-${index}`"
        @click="handleHyperlinkRender(social.HyperLink)"
      >
        <el-tooltip
          effect="light"
          placement="left"
          :visible-arrow="false"
          :popper-class="themeName === 'modern' ? 'tooltip-bmd1' : ''"
        >
          <template #content>
            <div
              v-if="!isHidden(social.HtmlId) || hasOtherContactus"
              class="w-[175px] rounded-md flex flex-col gap-4"
              :class="{ 'tooltip-item-bmd1': themeName === 'modern' }"
            >
              <img
                :src="
                  !allowCompany
                    ? gettingQrCodeImagePath(social.HtmlId, index)
                    : contactQrCodePaths[index]
                "
                class="object-contain w-full h-full mt-1 mb-[-10px]"
              />
              <div class="text-base mb-2.5 text-center text-black">
                {{ social.Text }}
              </div>
            </div>
            <div v-else class="text-black">
              {{ social.Text }}
            </div>
          </template>
          <img
            v-if="
              allowCompany
                ? social.ResourceKey !== '' || Number(social.ResourceKey) > 0
                : !social.HtmlId.includes('qr_code')
            "
            class="cursor-pointer"
            :src="social.ImagePath"
            width="32"
          />
        </el-tooltip>
      </li>
    </ul>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";
import commonHelper from "@/utils/commonHelper";
import { useContactUs } from "~~/composables/useContactUs";

export default defineComponent({
  name: "RightBarSideBarContactUs",
  setup() {
    const themeName = store.state.selectedThemeName;
    const { handleHyperlinkRender } = commonHelper;
    const {
      getContactList,
      isHidden,
      gettingQrCodeImagePath,
      hasOtherContactus,
      allowCompany,
      contactQrCodePaths,
    } = useContactUs();

    return {
      getContactList,
      themeName,
      hasOtherContactus,
      gettingQrCodeImagePath,
      handleHyperlinkRender,
      isHidden,
      allowCompany,
      contactQrCodePaths,
    };
  },
});
</script>

<style scoped>
.social-toggle {
  background: var(--primary);
  top: 42%;
}
.el-popper {
  padding: 0 !important;
  border: unset !important;
  margin-right: 2px !important;
}
</style>
<style lang="scss">
@media only screen and (max-width: 1024px) {
  .social-toggle {
    display: none;
  }
}
</style>